Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

    public interface ParserConstants

Field Summary
`static int` | `ABSTRACT`
`static int` | `ACCESS`
`static int` | `ALLOWED_CLASSES`
`static int` | `ALLOWED_FLOATS`
`static int` | `ALLOWED_GRAMMAR`
`static int` | `ALLOWED_INTEGERS`
`static int` | `ALLOWED_PARENTS`
`static int` | `ALLOWED_STRINGS`
`static int` | `ALLOWED_SYMBOLS`
`static int` | `ALLOWED_VALUES`
`static int` | `ANY`
`static int` | `ASSOCIATED_FACET`
`static int` | `BLANK_COMMENT`
`static int` | `BRA`
`static int` | `BUILD`
`static int` | `CARDINALITY`
`static int` | `COMMENT`
`static int` | `COMMENT_LINE`
`static int` | `COMPOSITE`
`static int` | `CONCRETE`
`static int` | `CREATE_ACCESSOR`
`static int` | `DEFAULT`
`static int` | `DEFAULT_`
`static int` | `DEFCLASS`
`static int` | `EOF`
`static int` | `EOL`
`static int` | `EXCLUSIVE`
`static int` | `EXTENSION`
`static int` | `FLOAT`
`static int` | `INCLUDE`
`static int` | `INHERIT`
`static int` | `INITIALIZER_ONLY`
`static int` | `INSTANCE`
`static int` | `INSTANCE_NAME_LITERAL`
`static int` | `INTEGER`
`static int` | `INVERSE_SLOT`
`static int` | `IS_A`
`static int` | `KET`
`static int` | `LOCAL`
`static int` | `LPAREN`
`static int` | `MULTISLOT`
`static int` | `NO_INHERIT`
`static int` | `NON_REACTIVE`
`static int` | `NOTE`
`static int` | `OF`
`static int` | `OVERRIDE_MESSAGE`
`static int` | `PATTERN_MATCH`
`static int` | `PRIVATE`
`static int` | `PROPAGATION`
`static int` | `PUBLIC`
`static int` | `QUESTION_DEFAULT`
`static int` | `QUESTION_NONE`
`static int` | `RANGE`
`static int` | `REACTIVE`
`static int` | `READ`
`static int` | `READ_ONLY`
`static int` | `READ_WRITE`
`static int` | `ROLE`
`static int` | `RPAREN`
`static int` | `SHARED`
`static int` | `SINGLE_SLOT`
`static int` | `SLOT`
`static int` | `SOURCE`
`static int` | `STORAGE`
`static int` | `STRING`
`static int` | `STRING_LITERAL`
`static int` | `SUBSLOT_OF`
`static int` | `SYMBOL`
`static int` | `SYMBOL_CHAR_MIDDLE`
`static int` | `SYMBOL_CHAR_START`
`static int` | `SYMBOL_LITERAL`
`static int` | `TEXT_COMMENT`
`static String[]` | `tokenImage`
`static int` | `TYPE`
`static int` | `USER_FACET`
`static int` | `VALUE`
`static int` | `VERSION`
`static int` | `VISIBILITY`
`static int` | `WRITE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### COMMENT_LINE

    static final int COMMENT_LINE

See Also:
  Constant Field Values

### EOL

    static final int EOL

See Also:
  Constant Field Values

### BLANK_COMMENT

    static final int BLANK_COMMENT

See Also:
  Constant Field Values

### TEXT_COMMENT

    static final int TEXT_COMMENT

See Also:
  Constant Field Values

### QUESTION_NONE

    static final int QUESTION_NONE

See Also:
  Constant Field Values

### QUESTION_DEFAULT

    static final int QUESTION_DEFAULT

See Also:
  Constant Field Values

### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

### BRA

    static final int BRA

See Also:
  Constant Field Values

### KET

    static final int KET

See Also:
  Constant Field Values

### EXTENSION

    static final int EXTENSION

See Also:
  Constant Field Values

### ABSTRACT

    static final int ABSTRACT

See Also:
  Constant Field Values

### ACCESS

    static final int ACCESS

See Also:
  Constant Field Values

### ALLOWED_CLASSES

    static final int ALLOWED_CLASSES

See Also:
  Constant Field Values

### ALLOWED_FLOATS

    static final int ALLOWED_FLOATS

See Also:
  Constant Field Values

### ALLOWED_GRAMMAR

    static final int ALLOWED_GRAMMAR

See Also:
  Constant Field Values

### ALLOWED_INTEGERS

    static final int ALLOWED_INTEGERS

See Also:
  Constant Field Values

### ALLOWED_PARENTS

    static final int ALLOWED_PARENTS

See Also:
  Constant Field Values

### ALLOWED_STRINGS

    static final int ALLOWED_STRINGS

See Also:
  Constant Field Values

### ALLOWED_SYMBOLS

    static final int ALLOWED_SYMBOLS

See Also:
  Constant Field Values

### ALLOWED_VALUES

    static final int ALLOWED_VALUES

See Also:
  Constant Field Values

### ANY

    static final int ANY

See Also:
  Constant Field Values

### ASSOCIATED_FACET

    static final int ASSOCIATED_FACET

See Also:
  Constant Field Values

### BUILD

    static final int BUILD

See Also:
  Constant Field Values

### CARDINALITY

    static final int CARDINALITY

See Also:
  Constant Field Values

### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

### COMPOSITE

    static final int COMPOSITE

See Also:
  Constant Field Values

### CONCRETE

    static final int CONCRETE

See Also:
  Constant Field Values

### CREATE_ACCESSOR

    static final int CREATE_ACCESSOR

See Also:
  Constant Field Values

### DEFAULT_

    static final int DEFAULT_

See Also:
  Constant Field Values

### DEFCLASS

    static final int DEFCLASS

See Also:
  Constant Field Values

### EXCLUSIVE

    static final int EXCLUSIVE

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### INCLUDE

    static final int INCLUDE

See Also:
  Constant Field Values

### INHERIT

    static final int INHERIT

See Also:
  Constant Field Values

### INITIALIZER_ONLY

    static final int INITIALIZER_ONLY

See Also:
  Constant Field Values

### INSTANCE

    static final int INSTANCE

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### INVERSE_SLOT

    static final int INVERSE_SLOT

See Also:
  Constant Field Values

### IS_A

    static final int IS_A

See Also:
  Constant Field Values

### LOCAL

    static final int LOCAL

See Also:
  Constant Field Values

### MULTISLOT

    static final int MULTISLOT

See Also:
  Constant Field Values

### NO_INHERIT

    static final int NO_INHERIT

See Also:
  Constant Field Values

### NON_REACTIVE

    static final int NON_REACTIVE

See Also:
  Constant Field Values

### NOTE

    static final int NOTE

See Also:
  Constant Field Values

### OF

    static final int OF

See Also:
  Constant Field Values

### OVERRIDE_MESSAGE

    static final int OVERRIDE_MESSAGE

See Also:
  Constant Field Values

### PATTERN_MATCH

    static final int PATTERN_MATCH

See Also:
  Constant Field Values

### PRIVATE

    static final int PRIVATE

See Also:
  Constant Field Values

### PROPAGATION

    static final int PROPAGATION

See Also:
  Constant Field Values

### PUBLIC

    static final int PUBLIC

See Also:
  Constant Field Values

### RANGE

    static final int RANGE

See Also:
  Constant Field Values

### REACTIVE

    static final int REACTIVE

See Also:
  Constant Field Values

### READ

    static final int READ

See Also:
  Constant Field Values

### READ_ONLY

    static final int READ_ONLY

See Also:
  Constant Field Values

### READ_WRITE

    static final int READ_WRITE

See Also:
  Constant Field Values

### ROLE

    static final int ROLE

See Also:
  Constant Field Values

### SINGLE_SLOT

    static final int SINGLE_SLOT

See Also:
  Constant Field Values

### SHARED

    static final int SHARED

See Also:
  Constant Field Values

### SLOT

    static final int SLOT

See Also:
  Constant Field Values

### SOURCE

    static final int SOURCE

See Also:
  Constant Field Values

### STORAGE

    static final int STORAGE

See Also:
  Constant Field Values

### STRING

    static final int STRING

See Also:
  Constant Field Values

### SUBSLOT_OF

    static final int SUBSLOT_OF

See Also:
  Constant Field Values

### SYMBOL

    static final int SYMBOL

See Also:
  Constant Field Values

### TYPE

    static final int TYPE

See Also:
  Constant Field Values

### USER_FACET

    static final int USER_FACET

See Also:
  Constant Field Values

### VALUE

    static final int VALUE

See Also:
  Constant Field Values

### VISIBILITY

    static final int VISIBILITY

See Also:
  Constant Field Values

### VERSION

    static final int VERSION

See Also:
  Constant Field Values

### WRITE

    static final int WRITE

See Also:
  Constant Field Values

### INSTANCE_NAME_LITERAL

    static final int INSTANCE_NAME_LITERAL

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### SYMBOL_LITERAL

    static final int SYMBOL_LITERAL

See Also:
  Constant Field Values

### SYMBOL_CHAR_START

    static final int SYMBOL_CHAR_START

See Also:
  Constant Field Values

### SYMBOL_CHAR_MIDDLE

    static final int SYMBOL_CHAR_MIDDLE

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.